#!/bin/bash

package=php
version=-5.3.2

progname=$0

source ../cascade-make/lib/cascade-lib.bash

prefix=$GEXTAMP_INSTALLED
mysqlprefix=
if [ "x$COMPILE_UP_MYSQL" = "x1" ] ; then
  mysqlprefix=$GEXTAMP_INSTALLED
else
  if [ -n "$GEXTMYSQL_INSTALLED" ] ; then
    mysqlprefix=$GEXTMYSQL_INSTALLED
  fi
fi

opt_run_untar $force_untar $auto_untar $package $version

opt_run_configure $force_config $auto_config $package $version $prefix --with-mysql=$mysqlprefix --with-png-dir=$prefix --with-apxs2=$prefix/bin/apxs --with-gd

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
